Radically simplify MANIFEST.in by using global-include
[cookiecutter.git] / project_template / setup.py
1 #!/usr/bin/env python
2
3 from imp import load_source
4 from os.path import abspath, dirname, join
5
6 try:
7     from ez_setup import use_setuptools
8     use_setuptools()
9 except ImportError:
10     pass
11 try:
12     from setuptools import setup
13     is_setuptools = True
14 except ImportError:
15     from distutils.core import setup
16     is_setuptools = False
17
18 versionpath = join(abspath(dirname(__file__)), 'project', '__version__.py')
19 load_source('project_version', versionpath)
20 # Ignore: E402 module level import not at top of file
21 from project_version import __version__  # noqa
22
23 setup(name='Template project',
24       version=__version__,
25       description='Broytman Template Project',
26       long_description=open('README.txt', 'rtU').read(),
27       author='Oleg Broytman',
28       author_email='phd@phdru.name',
29       url='http://phdru.name/Software/Python/',
30       license='GPL',
31       platforms=['any'],
32       keywords=[''],
33       classifiers=[
34           'Development Status :: 1 - Planning',
35           'Environment :: Console',
36           'Environment :: Web Environment',
37           'Intended Audience :: End Users/Desktop',
38           'License :: OSI Approved :: GNU General Public License (GPL)',
39           'Operating System :: OS Independent',
40           'Programming Language :: Python :: 2',
41           'Programming Language :: Python :: 2.6',
42           'Programming Language :: Python :: 2.7',
43           'Programming Language :: Python :: 2 :: Only',
44       ],
45       packages=['project'],
46       package_data={'project': []},
47       scripts=[],
48       requires=[],
49       )